## python-shapely 1.8.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* build/plot_directive/*

html: apidocs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: apidocs
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Shapely.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Shapely.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidocs:
	sphinx-apidoc -f -s txt -o . ../shapely
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

## python-shapely 1.2.1

=== debian/changelog ===
python-shapely (1.2.1-2ubuntu1) natty; urgency=low

  * debian/patches/python-2.7-testfixes.patch: Update test results to account
    for changes to conversions from long integers and regular integers to 
    floating points in python 2.7. (LP: #721756)

 -- Sameer Morar <smorar@gmail.com>  Sat, 19 Feb 2011 14:57:46 +0200

python-shapely (1.2.1-2) unstable; urgency=low

  * Fixes to manual from upstream version 1.2.3
  * Run tests, except wkt_locale which is broken.
  * Require newer version of debhelper to support override_dh_auto_test.
  * Updated standards version.

 -- Pietro Battiston <toobaz@email.it>  Tue, 14 Sep 2010 18:30:47 +0200

python-shapely (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Matched package description to upstream readme
  * Indicate new upstream manual
  * Mark depedence on Python >= 2.5 and GEOS >= 3.1

 -- Pietro Battiston <toobaz@email.it>  Fri, 24 Jun 2010 15:11:27 +0200
 

python-shapely (1.0.15-1) unstable; urgency=low

  * New upstream release (Closes: #577213)
  * Switched to machine-readable debian/copyright
  * Updated debian/control with standards version and VCS information

 -- Pietro Battiston <toobaz@email.it>  Fri, 30 Apr 2010 12:24:27 +0200

python-shapely (1.0.14-1) unstable; urgency=low

  * New upstream release

 -- Pietro Battiston <toobaz@email.it>  Fri, 06 Nov 2009 11:54:00 +0100

python-shapely (1.0.12-1) unstable; urgency=low

  * New upstream release (Closes: #530775)
  * Migration from python-central to python-support

 -- Pietro Battiston <toobaz@email.it>  Fri, 29 May 2009 09:56:00 +0200

python-shapely (1.0.11-2) unstable; urgency=low

  * Added information about packaging license (Closes: #511984)
  * debian/rules: improve clean rule by removing generated files

 -- Pietro Battiston <toobaz@email.it>  Fri, 16 Jan 2009 12:24:42 +0100

python-shapely (1.0.11-1) unstable; urgency=low

  * Initial release (Closes: #509253)

 -- Pietro Battiston <toobaz@email.it>  Tue, 16 Dec 2008 22:35:31 +0100

=== debian/control ===
Source: python-shapely
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pietro Battiston <toobaz@email.it>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python-setuptools (>= 0.6), python-support (>= 0.6), libgeos-c1 (>= 3.1.0), python-numpy, python (>=2.5) | python-ctypes
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://trac.gispython.org/lab/wiki/Shapely
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-shapely.git
Vcs-Git: git://git.debian.org/git/collab-maint/python-shapely.git

Package: python-shapely
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>=2.5) | python-ctypes, libgeos-c1 (>= 3.1.0)
Suggests: python-numpy
Enhances: python-numpy
XB-Python-Version: ${python:Versions}
Description: geometric objects, predicates, and operations
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh  $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py test
endif

## python-shapely 1.2.10

=== debian/changelog ===
python-shapely (1.2.10-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/python-2.7-testfixes.patch: Update test results to account
      for changes to conversions from long integers and regular integers to
      floating points in python 2.7.

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 08 Jul 2011 14:04:13 +0200

python-shapely (1.2.10-1) unstable; urgency=low

  * New upstream release.
    - Introduces Cython speedups: updated dependencies accordingly.
    - Patched setup.py to recreate .c file from .pyx file.

 -- Pietro Battiston <me@pietrobattiston.it>  Thu, 30 Jun 2011 08:57:03 +0200

python-shapely (1.2.8-1.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/python-2.7-testfixes.patch: Update test results to account
      for changes to conversions from long integers and regular integers to
      floating points in python 2.7.

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 17 May 2011 13:26:34 +0200

python-shapely (1.2.8-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/patches/python-2.7-testfixes.patch: Update test results to account
      for changes to conversions from long integers and regular integers to
      floating points in python 2.7.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 09 May 2011 10:14:50 +0200

python-shapely (1.2.8-1) unstable; urgency=low

  * New upstream release.
  * Use dh_python2.
  * Remove obsolete patch "typo-in-dll-test".
  * Added python-matplotlib (used by example scripts) in Suggests.

 -- Pietro Battiston <me@pietrobattiston.it>  Fri, 11 Feb 2011 12:03:40 +0200

python-shapely (1.2.4-1) experimental; urgency=low

  * New upstream release (Closes: #590475)

 -- Pietro Battiston <toobaz@email.it>  Sun, 19 Sep 2010 10:11:40 +0200

=== debian/control ===
Source: python-shapely
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pietro Battiston <me@pietrobattiston.it>
Build-Depends: debhelper (>= 7.0.50), python-setuptools (>= 0.6), libgeos-c1 (>= 3.1.0), libgeos-dev, python-numpy, python (>= 2.6.6-3), python-all-dev, cython
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://trac.gispython.org/lab/wiki/Shapely
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-shapely.git
Vcs-Git: git://git.debian.org/git/collab-maint/python-shapely.git

Package: python-shapely
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python (>=2.5) | python-ctypes, libgeos-c1 (>= 3.1.0)
Suggests: python-numpy, python-matplotlib
Enhances: python-numpy
Description: geometric objects, predicates, and operations
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py test
endif

## python-shapely 1.2.13

=== debian/changelog ===
python-shapely (1.2.13-1) unstable; urgency=low

  * New upstream release.
  * Now using gbp-pq to manage patches.
  * Fixed test for Python 2.7 with upstream patch (Closes: #652183).
  * Tests are now ran with all supported Python versions.
  * Updated debian/copyright format.

 -- Pietro Battiston <me@pietrobattiston.it>  Wed, 21 Dec 2011 16:17:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-shapely
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pietro Battiston <me@pietrobattiston.it>
+Maintainer: Pietro Battiston <me@pietrobattiston.it>
 Build-Depends: debhelper (>= 7.0.50), python-setuptools (>= 0.6), libgeos-c1 (>= 3.1.0), libgeos-dev, python-numpy, python (>= 2.6.6-3), python-all-dev, cython
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	python setup.py test
+	for ver in `pyversions -vr`; do \
+	    python$$ver setup.py test; \
+	done
 endif

## python-shapely 1.2.14

=== debian/changelog ===
python-shapely (1.2.14-1) unstable; urgency=low

  * New upstream release.
  * Removed now obsolete python 2.7 support patch; updated other patches.
  * Cython autogenerated .c file is now deleted via override.
  * Introduced upstream patch which fixes broken test (Closes: #663210).
  * Added "set -e" before loop in debian/rules.
  * Updated policy version.

 -- Pietro Battiston <me@pietrobattiston.it>  Sat, 10 Mar 2012 17:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pietro Battiston <me@pietrobattiston.it>
 Build-Depends: debhelper (>= 7.0.50), python-setuptools (>= 0.6), libgeos-c1 (>= 3.1.0), libgeos-dev, python-numpy, python (>= 2.6.6-3), python-all-dev, cython
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://trac.gispython.org/lab/wiki/Shapely
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-shapely.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,11 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	for ver in `pyversions -vr`; do \
+	set -e; for ver in `pyversions -vr`; do \
 	    python$$ver setup.py test; \
 	done
 endif
+
+override_dh_auto_build:
+	rm shapely/speedups/_speedups.c
+	dh_auto_build

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=uversionmangle=s/(a|b|rc)/~$1/ \
http://pypi.python.org/packages/source/S/Shapely/ Shapely-(.*)\.tar\.gz

## python-shapely 1.3.0

=== debian/changelog ===
python-shapely (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0 (Closes: #731566)
    - Works with libgeos >= 3.4.2 (Closes: #733667, #735808)
    - Removed non-deterministic test "cascaded_union.txt" (Closes: #666655)
  * Deleted obsolete patches.
  * Require python >= 2.6.
  * Switched to pbuild, added support for python 3.
  * Updated watch file: look for releases on github (they contain .pyx files).
  * Updated Homepage field.
  * Updated policy version.

 -- Pietro Battiston <me@pietrobattiston.it>  Mon, 20 Jan 2014 11:04:52 +0100

=== debian/control ===
Source: python-shapely
Section: python
Priority: optional
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Build-Depends: debhelper (>= 7.0.50), python-setuptools (>= 0.6), libgeos-c1 (>= 3.1.0), libgeos-dev, python-numpy, python-all (>= 2.6.6-3), python-all-dev, python3-all, python3-setuptools, cython, cython3, dh-python
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://toblerity.org/shapely
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-shapely.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-shapely.git

Package: python-shapely
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python (>=2.6) | python-ctypes, libgeos-c1 (>= 3.1.0)
Suggests: python-numpy, python-matplotlib
Enhances: python-numpy
Description: geometric objects, predicates, and operations (Python 2)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This is the Python 2 version of the package.

Package: python3-shapely
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3, libgeos-c1 (>= 3.1.0)
Suggests: python3-numpy, python3-matplotlib
Enhances: python3-numpy
Description: geometric objects, predicates, and operations (Python 3)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=shapely
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f VERSION.txt
	rm -f shapely/speedups/_speedups.c
	rm -f shapely/speedups/_speedups.so
	rm -f Shapely.egg-info/*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for ver in `pyversions -vr`; do \
	    python$$ver setup.py test; \
	done
endif

override_dh_auto_build:
	rm -f shapely/speedups/_speedups.c
	dh_auto_build

## python-shapely 1.4.3

=== debian/changelog ===
python-shapely (1.4.3-1) unstable; urgency=low

  * Imported Upstream version 1.4.3
    - Build documentation which now uses sphinx.
    - Install documentation in new package python-shapely-doc.
    - Strip non-needed file _geos.pxi.
    - python{,3}-dev now needed as Build-Depends.
  * Clarified BSD version in debian/copyright.
  * Updated policy version.

 -- Pietro Battiston <me@pietrobattiston.it>  Fri, 26 Sep 2014 15:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Pietro Battiston <me@pietrobattiston.it>
-Build-Depends: debhelper (>= 7.0.50), python-setuptools (>= 0.6), libgeos-c1 (>= 3.1.0), libgeos-dev, python-numpy, python-all (>= 2.6.6-3), python-all-dev, python3-all, python3-setuptools, cython, cython3, dh-python
+Build-Depends: debhelper (>= 7.0.50), python-setuptools (>= 0.6), libgeos-c1 (>= 3.1.0), libgeos-dev, python-numpy, python-all (>= 2.6.6-3), python-all-dev, python3-all, python3-setuptools, cython, cython3, python-dev, python3-dev, dh-python, python-sphinx, python3-sphinx, python-matplotlib, libjs-mathjax
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -41,3 +41,19 @@
  homogeneous or heterogeneous collections thereof.
  .
  This is the Python 3 version of the package.
+
+Package: python-shapely-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python-shapely | python3-shapely, libjs-mathjax
+Description: geometric objects, predicates, and operations (documentation)
+ Shapely is a package for manipulation and analysis of 2D features.
+ Its capabilities include:
+  * calculating the point set unions, intersections, or differences of features
+  * predicate tests on features: intersects, touches, contains, and more.
+ .
+ Supported geometric types are points, line strings, linear rings, polygons, and
+ homogeneous or heterogeneous collections thereof.
+ .
+ This package provides the documentation for Shapely.

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,13 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f VERSION.txt
 	rm -f shapely/speedups/_speedups.c
+	rm -f shapely/vectorized/_vectorized.c
 	rm -f shapely/speedups/_speedups.so
 	rm -f Shapely.egg-info/*
 
@@ -27,3 +28,5 @@
 override_dh_auto_build:
 	rm -f shapely/speedups/_speedups.c
 	dh_auto_build
+	python setup.py build_sphinx
+	ln -s /usr/share/javascript/mathjax build/sphinx/html/_static/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Shapely-$1\.tar\.gz/ \
  https://github.com/Toblerity/Shapely/releases .*/v?(\d\S*)\.tar\.gz

## python-shapely 1.5.9

=== debian/changelog ===
python-shapely (1.5.9-1) unstable; urgency=medium

  * Team upload.

  [ Pietro Battiston ]
  * Suggests: python-shapely-doc (Closes: #765417, #765418)
  * Build-depend on python3-all-dev and not on python{,3}-dev (Closes: #793583)
  * Delete cythonized files so that they are recreated
  * Build-depend on python{,3}-numpy for cythoning "vectorize.pyx"

  [ Johan Van de Wauw ]
  * Mangle version in watch file
  * Add gbp.conf
  * Imported Upstream version 1.5.9
  * Remove cythonize patch

  [ Bas Couwenberg ]
  * Update watchfile with sepwatch changes.
  * Drop dependencies on libgeos-c1. (Closes: #795259, #795883)
  * Bump debhelper compatibility to 9.
  * Add dependency on ${sphinxdoc:Depends} to python-shapely-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Aug 2015 21:03:03 +0200

=== debian/control ===
Source: python-shapely
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-setuptools (>= 0.6),
               libgeos-dev (>= 3.1.0),
               python-all (>= 2.6.6-3),
               python-all-dev,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               cython,
               cython3,
               dh-python,
               python-sphinx,
               python3-sphinx,
               python-matplotlib,
               libjs-mathjax,
               python-numpy,
               python3-numpy
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-shapely.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-shapely.git
Homepage: http://toblerity.org/shapely
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-shapely
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python (>= 2.6) | python-ctypes
Suggests: python-numpy,
          python-matplotlib,
          python-shapely-doc
Enhances: python-numpy
Description: geometric objects, predicates, and operations (Python 2)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This is the Python 2 version of the package.

Package: python3-shapely
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python3
Suggests: python3-numpy,
          python3-matplotlib,
          python-shapely-doc
Enhances: python3-numpy
Description: geometric objects, predicates, and operations (Python 3)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This is the Python 3 version of the package.

Package: python-shapely-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python-shapely | python3-shapely,
            libjs-mathjax
Description: geometric objects, predicates, and operations (documentation)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This package provides the documentation for Shapely.

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 endif
 
 override_dh_auto_build:
+	rm -f shapely/vectorized/_vectorized.c
+	rm -f shapely/speedups/_speedups.so
 	rm -f shapely/speedups/_speedups.c
 	dh_auto_build
 	python setup.py build_sphinx

## python-shapely 1.5.13

=== debian/changelog ===
python-shapely (1.5.13-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:54:07 +0000

python-shapely (1.5.13-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Oct 2015 11:35:29 +0200

python-shapely (1.5.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move package from collab-maint to pkg-grass.
  * Update copyright file, changes:
    - Update Source URL for GitHub releases
    - Change CC-BY shortname to CC-BY-3.0
    - Add license & copyright for ftools.py
  * Use dh_clean for additional file removals.
  * Refresh patches.
  * Bump minimum required libgeos-dev to 3.3.0.
  * Add doc-base registration for Shapely documentation.
  * Use dh_clean for additional file removals.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Aug 2015 15:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: python-shapely
-Maintainer: Pietro Battiston <me@pietrobattiston.it>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Pietro Battiston <me@pietrobattiston.it>,
+           Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python-setuptools (>= 0.6),
-               libgeos-dev (>= 3.1.0),
-               python-all (>= 2.6.6-3),
+               dh-python,
+               libgeos-dev (>= 3.3.0),
+               python-all,
                python-all-dev,
+               python-matplotlib,
+               python-numpy,
+               python-setuptools,
+               python-sphinx,
                python3-all,
                python3-all-dev,
+               python3-matplotlib,
+               python3-numpy,
                python3-setuptools,
+               python3-sphinx,
                cython,
                cython3,
-               dh-python,
-               python-sphinx,
-               python3-sphinx,
-               python-matplotlib,
-               libjs-mathjax,
-               python-numpy,
-               python3-numpy
+               libjs-mathjax
 Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-shapely.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-shapely.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-shapely.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/python-shapely.git
 Homepage: http://toblerity.org/shapely
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,12 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f VERSION.txt
-	rm -f shapely/speedups/_speedups.c
-	rm -f shapely/vectorized/_vectorized.c
-	rm -f shapely/speedups/_speedups.so
-	rm -f Shapely.egg-info/*
+override_dh_clean:
+	dh_clean VERSION.txt \
+	         shapely/speedups/_speedups.c \
+	         shapely/speedups/_speedups.so \
+	         shapely/vectorized/_vectorized.c \
+	         Shapely.egg-info/*
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/.+\/v?(\d\S*)\.(tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/Shapely-$1\.$2/ \
https://github.com/Toblerity/Shapely/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|(?:python-shapely|shapely)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-shapely 1.5.16

=== debian/changelog ===
python-shapely (1.5.16-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 May 2016 11:20:55 +0200

python-shapely (1.5.15-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Set today & html_last_updated_fmt in SPHINXOPTS for reproducible builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 21:05:00 +0200

python-shapely (1.5.15-1) unstable; urgency=medium

  * New upstream release.
  * Update dh_python & dh_numpy calls to act on specific package.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Mar 2016 20:08:32 +0200

python-shapely (1.5.14-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable parallel builds.
  * Drop unneeded dh_auto_test override.
  * Add build dependency on pytest.
  * Enable all hardening buildflags, except PIE (causes build failure).
  * Add descartes to build dependencies for documentation.
  * Override dh_python{2,3} to call dh_numpy{,3} too.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Mar 2016 12:28:53 +0200

## python-shapely 1.5.17

=== debian/changelog ===
python-shapely (1.5.17-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 31 Aug 2016 12:36:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,32 +9,36 @@
                libgeos-dev (>= 3.3.0),
                python-all,
                python-all-dev,
+               python-descartes,
                python-matplotlib,
                python-numpy,
+               python-pytest,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-all-dev,
+               python3-descartes,
                python3-matplotlib,
                python3-numpy,
+               python3-pytest,
                python3-setuptools,
                python3-sphinx,
                cython,
                cython3,
                libjs-mathjax
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-shapely.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/python-shapely.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-shapely.git
 Homepage: http://toblerity.org/shapely
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-shapely
 Architecture: any
-Depends: ${python:Depends},
-         ${misc:Depends},
+Depends: python (>= 2.6) | python-ctypes,
+         ${python:Depends},
          ${shlibs:Depends},
-         python (>= 2.6) | python-ctypes
+         ${misc:Depends}
 Suggests: python-numpy,
           python-matplotlib,
           python-shapely-doc
@@ -52,10 +56,10 @@
 
 Package: python3-shapely
 Architecture: any
-Depends: ${python3:Depends},
-         ${misc:Depends},
+Depends: python3,
+         ${python3:Depends},
          ${shlibs:Depends},
-         python3
+         ${misc:Depends}
 Suggests: python3-numpy,
           python3-matplotlib,
           python-shapely-doc
@@ -74,8 +78,8 @@
 Package: python-shapely-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
 Recommends: python-shapely | python3-shapely,
             libjs-mathjax
 Description: geometric objects, predicates, and operations (documentation)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags, except:
#  pie: causes build failure
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

export PYBUILD_NAME=shapely
export LC_ALL=C.UTF-8

BUILD_DATE := $(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%B %d, %Y" -f -)

SPHINXOPTS := -D today=\"$(BILD_DATE)\"
SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild --parallel

override_dh_clean:
	dh_clean VERSION.txt \
	         shapely/speedups/_speedups.c \
	         shapely/speedups/_speedups.so \
	         shapely/vectorized/_vectorized.c \
	         Shapely.egg-info/*

override_dh_auto_build:
	rm -f shapely/speedups/_speedups.c
	rm -f shapely/speedups/_speedups.so
	rm -f shapely/vectorized/_vectorized.c

	dh_auto_build

	python setup.py build_sphinx
	ln -s /usr/share/javascript/mathjax build/sphinx/html/_static/

override_dh_python2:
	dh_python2 -ppython-shapely
	dh_numpy -ppython-shapely

override_dh_python3:
	dh_python3 -ppython3-shapely
	dh_numpy3 -ppython3-shapely

## python-shapely 1.6.0

=== debian/changelog ===
python-shapely (1.6.0-1build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:26 +0000

python-shapely (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Aug 2017 16:10:43 +0200

python-shapely (1.6~b5-1~exp1) experimental; urgency=medium

  * New upstream pre-release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Aug 2017 10:08:59 +0200

python-shapely (1.6~b4-1~exp3) experimental; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 21:27:33 +0200

python-shapely (1.6~b4-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 07:56:14 +0200

python-shapely (1.6~b4-1~exp1) experimental; urgency=medium

  * New upstream pre-release.
  * Refresh patches.
  * Update path for packaging in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Feb 2017 18:46:48 +0100

python-shapely (1.6~b3-1~exp1) experimental; urgency=medium

  * New upstream pre-release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Dec 2016 11:55:04 +0100

python-shapely (1.6~b2-1~exp1) experimental; urgency=medium

  * New upstream pre-release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Dec 2016 18:37:22 +0100

python-shapely (1.6~a2-1~exp1) experimental; urgency=medium

  * New upstream pre-release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Nov 2016 19:03:14 +0100

python-shapely (1.6~a1-1~exp1) experimental; urgency=medium

  * New upstream pre-release.
  * Update watchfile to handle 'a' pre-releases.
  * Add citation reference to upstream metadata.
  * Update copyright file, changes:
    - Add license & copyright for packaging/*
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Sep 2016 19:12:51 +0200

## python-shapely 1.6.1

=== debian/changelog ===
python-shapely (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Sep 2017 11:50:55 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                cython,
                cython3,
                libjs-mathjax
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-shapely.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-shapely.git
 Homepage: http://toblerity.org/shapely

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/.+\/v?(\d\S*)\.(tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/Shapely-$1\.$2/ \
https://github.com/Toblerity/Shapely/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|(?:python-shapely|shapely)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-shapely 1.6.3

=== debian/changelog ===
python-shapely (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing whitespace from changelog.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Dec 2017 11:36:14 +0100

python-shapely (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes.
  * Update privacy breach patch.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Oct 2017 19:55:12 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                cython,
                cython3,
                libjs-mathjax
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-shapely.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-shapely.git
 Homepage: http://toblerity.org/shapely

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Enable hardening build flags, except:
-#  pie: causes build failure
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=shapely
 export LC_ALL=C.UTF-8
 
-BUILD_DATE := $(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%B %d, %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
 
-SPHINXOPTS := -D today=\"$(BILD_DATE)\"
+BUILD_DATE := $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
+
+SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:

## python-shapely 1.6.4

=== debian/changelog ===
python-shapely (1.6.4-2) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Add module import tests to autopkgtest configuration.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop ancient X-Python{,3}-Version fields.
  * Strip trailing whitespace from changelog & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 12:24:17 +0200

python-shapely (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jan 2018 17:33:30 +0100

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,10 @@
                cython,
                cython3,
                libjs-mathjax
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-shapely.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-shapely.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: http://toblerity.org/shapely
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-shapely
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -44,4 +44,3 @@
 override_dh_python3:
 	dh_python3 -ppython3-shapely
 	dh_numpy3 -ppython3-shapely
-

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-shapely
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import shapely; print(shapely)" ; done

# Test module import (Python 3)
Depends: python3-all, python3-shapely
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import shapely; print(shapely)" ; done

## python-shapely 1.7.0

=== debian/changelog ===
python-shapely (1.7.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:46:35 +0100

python-shapely (1.7.0-1) unstable; urgency=medium

  * Ignore test failures on hppa.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jan 2020 06:49:47 +0100

python-shapely (1.7.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Refresh patches.
  * Drop test_operations.patch, fixed upstream.
  * Drop license & copyright for ftools.py, removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jan 2020 08:16:52 +0100

python-shapely (1.6.4-5) unstable; urgency=medium

  * Ignore test failures on s390x & ppc64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Nov 2019 21:31:06 +0100

python-shapely (1.6.4-4) unstable; urgency=medium

  * Update Homepage URL.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add patch to fix FTBFS due to test_operations failure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Nov 2019 17:12:04 +0100

python-shapely (1.6.4-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to limit matches to archive path.
  * Fix incomplete-creative-commons-license issue.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.
  * Drop -doc package, FTBFS with Python 3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 20:40:05 +0200

=== debian/control ===
Source: python-shapely
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Pietro Battiston <me@pietrobattiston.it>,
           Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libgeos-dev (>= 3.3.0),
               python3-all,
               python3-all-dev,
               python3-descartes,
               python3-matplotlib,
               python3-numpy,
               python3-pytest,
               python3-setuptools,
               cython3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
Homepage: https://github.com/Toblerity/Shapely

Package: python3-shapely
Architecture: any
Depends: python3,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python3-numpy,
          python3-matplotlib
Enhances: python3-numpy
Description: geometric objects, predicates, and operations (Python 3)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=shapely
export LC_ALL=C.UTF-8

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild --parallel

override_dh_clean:
	dh_clean VERSION.txt \
	         shapely/speedups/_speedups.c \
	         shapely/speedups/_speedups.so \
	         shapely/vectorized/_vectorized.c \
	         Shapely.egg-info/*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),s390x hppa ppc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

override_dh_python3:
	dh_python3 -ppython3-shapely
	dh_numpy3 -ppython3-shapely

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/.+\/v?(\d\S*)\.(tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/Shapely-$1\.$2/ \
https://github.com/Toblerity/Shapely/releases \
(?:.*?/archive/)?(?:rel|v|shapely)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-shapely 1.7.1

=== debian/changelog ===
python-shapely (1.7.1-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch to fix FTBFS with GEOS 3.9.0.
    (closes: #978326)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2020 10:25:08 +0100

python-shapely (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Refresh patches. Mark them as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2020 07:41:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                libgeos-dev (>= 3.3.0),
                python3-all,
@@ -15,7 +15,7 @@
                python3-pytest,
                python3-setuptools,
                cython3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: https://github.com/Toblerity/Shapely

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild --parallel
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean VERSION.txt \

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/,\
 filenamemangle=s/.+\/v?(\d\S*)\.(tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/Shapely-$1\.$2/ \

## python-shapely 1.8.0

=== debian/changelog ===
python-shapely (1.8.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:14:29 +0000

python-shapely (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Oct 2021 05:47:44 +0200

python-shapely (1.8~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Ignore test failures on mips*el.
  * Drop load_dll.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Oct 2021 06:18:46 +0200

python-shapely (1.8~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #996793)
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Refresh patches.
  * Add patch to fix loading geos_c library on Linux.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Oct 2021 05:47:42 +0200

python-shapely (1.7.1-3) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Add upstream patch to fix test failure with GEOS 3.10.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Oct 2021 07:50:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libgeos-dev (>= 3.3.0),
                python3-all,
@@ -15,7 +15,7 @@
                python3-pytest,
                python3-setuptools,
                cython3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: https://github.com/Toblerity/Shapely

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq (,$(filter $(DEB_BUILD_ARCH),s390x hppa ppc64))
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel s390x hppa ppc64))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/.+\/v?(\d\S*)\.(tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/Shapely-$1\.$2/ \
https://github.com/Toblerity/Shapely/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|shapely)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
